org.apache.hadoop.yarn.api.records.impl.pb

## Class ContainerRetryContextPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ContainerRetryContext
  - - org.apache.hadoop.yarn.api.records.impl.pb.ContainerRetryContextPBImpl

-     public class ContainerRetryContextPBImpl
      extends org.apache.hadoop.yarn.api.records.ContainerRetryContext

  Implementation of ContainerRetryContext.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.api.records.ContainerRetryContext

      `NEVER_RETRY_CONTEXT, RETRY_FOREVER, RETRY_INVALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerRetryContextPBImpl()`
    `ContainerRetryContextPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ContainerRetryContextProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `Set<Integer>` | `getErrorCodes()`
    `long` | `getFailuresValidityInterval()`
    `int` | `getMaxRetries()`
    `org.apache.hadoop.yarn.proto.YarnProtos.ContainerRetryContextProto` | `getProto()`
    `int` | `getRetryInterval()`
    `org.apache.hadoop.yarn.api.records.ContainerRetryPolicy` | `getRetryPolicy()`
    `int` | `hashCode()`
    `void` | `setErrorCodes(Set<Integer> errCodes)`
    `void` | `setFailuresValidityInterval(long failuresValidityInterval)`
    `void` | `setMaxRetries(int maxRetries)`
    `void` | `setRetryInterval(int retryInterval)`
    `void` | `setRetryPolicy(org.apache.hadoop.yarn.api.records.ContainerRetryPolicy containerRetryPolicy)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.ContainerRetryContext

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerRetryContextPBImpl

          public ContainerRetryContextPBImpl()

    - #### ContainerRetryContextPBImpl

          public ContainerRetryContextPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ContainerRetryContextProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.ContainerRetryContextProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getRetryPolicy

          public org.apache.hadoop.yarn.api.records.ContainerRetryPolicy getRetryPolicy()

      Specified by:
        `getRetryPolicy` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### setRetryPolicy

          public void setRetryPolicy(org.apache.hadoop.yarn.api.records.ContainerRetryPolicy containerRetryPolicy)

      Specified by:
        `setRetryPolicy` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### getErrorCodes

          public Set<Integer> getErrorCodes()

      Specified by:
        `getErrorCodes` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### setErrorCodes

          public void setErrorCodes(Set<Integer> errCodes)

      Specified by:
        `setErrorCodes` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### getMaxRetries

          public int getMaxRetries()

      Specified by:
        `getMaxRetries` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### setMaxRetries

          public void setMaxRetries(int maxRetries)

      Specified by:
        `setMaxRetries` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### getRetryInterval

          public int getRetryInterval()

      Specified by:
        `getRetryInterval` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### setRetryInterval

          public void setRetryInterval(int retryInterval)

      Specified by:
        `setRetryInterval` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### getFailuresValidityInterval

          public long getFailuresValidityInterval()

      Specified by:
        `getFailuresValidityInterval` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

    - #### setFailuresValidityInterval

          public void setFailuresValidityInterval(long failuresValidityInterval)

      Specified by:
        `setFailuresValidityInterval` in class `org.apache.hadoop.yarn.api.records.ContainerRetryContext`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.